AnsweredAssumed Answered

Web AppBuilder / JS Api Min requirements?

Question asked by travis.slack on Nov 21, 2016
Latest reply on Nov 21, 2016 by rastrauch

Hey guys,

 

I am stuck on an older version of Arc For Server (10.0) and currently have a webmap created with Flex. Obviously this is old and deprecated and I'd like to use a javascript based solution. I know a little bit of leaflet/javascript.

 

My understanding is there are two options: ArcGIS Online or a Portal. The data is from our ArcSDE which is huge so I think ArcGIS Online would be out of the question and would need a local portal based solution. I like the idea of the WebApp Builder but I can't see anywhere what the minimum requirements are. I assume you need portal in my situation which is 10.3?


Can I use the Javascript API to manually create what web app builder would do? or is there a minimum Arc For server version requirement for the JS API as well?

 

Thanks

Outcomes